.fc2 {
    display: flex;
    flex-wrap: wrap;
}

.fc2 .btn-wrap {
    max-width: 50%;
    padding-right: 10px;
    margin-bottom: 10px;
}

.fc2 .btn {
    white-space: normal;
    height: 100%;
    display: flex;
    align-items: center;
    background-position: center center;
    background-size: cover;
}

#fc2-modal {
    height: 85vh;
}

#fc2-modal .flex {
    display: flex;
    flex-direction: column;
}

#fc2-modal .h100 {
    height: 100%;
}

#fc2-modal .modal-content {
    height: 100%;
    display: flex;
    flex-direction: column;
    align-items: stretch;
}

#fc2-modal .modal-header {
    flex-shrink: 0;
}

#fc2-modal .modal-body {
    display: flex;
    position: relative;
    flex-grow: 1;
}
#fc2-modal .fabrics {
    text-align: center;
    white-space: nowrap;
    flex-grow: 1;
    justify-content: space-between;
}
#fc2-modal .fabrics .thumbs {
    overflow-y: scroll;
    flex-grow: 1;
    display: flex;
    flex-wrap: wrap;
    margin-top: 20px;
    margin-bottom: 20px;
    height: 100px;
}
#fc2-modal .fabrics .thumbs::-webkit-scrollbar {
    width: 0px;
    background: transparent;
}

#fc2-modal .categories {
    border: 1px solid #e5e5e5;
    border-radius: 5px;
}
#fc2-modal .categories .nav-tabs {
    margin: 0;
    padding: 0;
    border: none;
}

#fc2-modal .categories a {
    background: none;
    border: none;
    color: initial;
    text-decoration: underline;
    text-shadow: 0 -1px 0 rgba(0, 0, 0, 0.25);
    padding: 10px 10px;
}

#fc2-modal .categories .active > a {
    color: #de4733;
    text-decoration: none;
    pointer-events: none;
}

#fc2-modal .fabrics h3{
    overflow: hidden;
    text-overflow: ellipsis;
    font-size: inherit;
    margin: 0;
    font-weight: bold;
}

#fc2-modal .fabric-thumb {
    display: flex;
    flex-direction: column;
    margin-bottom: 10px;
}

#fc2-modal .thumb-wrapper {
    position: relative;
    /*flex-grow: 1;*/
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}
#fc2-modal .thumb {
    padding-top: calc(100% - 30px);
    background-position: center center;
    position: relative;
    margin-bottom: 5px;
    border-radius: 4px;
}

#fc2-modal .thumb .button {
    display: none;
    position: absolute;
    align-items: center;
    justify-content: center;
    width: 100%;
    top: 0;
    bottom: 0;
    transition: all 0.2s;
}

#fc2-modal .thumb .button span {
    position: relative;
    width: 30px;
    height: 30px;
    margin: 0 5px;
    border-radius: 50%;
    border: 1px solid #000;
    background: #fff;
    cursor: pointer;
}

#fc2-modal .thumb .button i{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}
#fc2-modal .thumb:hover .button {
    display: flex;
}

#fc2-modal .btn-lg {
    padding-top: 6px;
    padding-bottom: 6px;
    line-height: 20px;
}

#fc2-modal-zoom .modal-body {
    text-align: center;
}

#fc2-modal .product_info {
    text-align: center;
}
#fc2-modal .product_info h2 {
    margin: 5px 0 10px;
    text-align: center;
}

#fc2-modal .product_info .price {
    font-size: 20px;
    margin: 10px 0;
}

#fc2-modal .option {
    list-style: none;
    text-align: left;
    margin: 0;
    padding: 0;
}
#fc2-modal-zoom img {
   width: 100%;
    border-radius: 4px;
}
/*tool tips*/
[data-toggle='tooltip-img'] {
    cursor: pointer;
}

.tooltip.fc2 img {
    width: 100%;
    border-radius: 4px;
}

.tooltip.fc2 .tooltip-inner {
    background: #fff;
}

.tooltip.fc2.in {
    opacity: 1;
}

.tooltip.fc2 .tooltip-arrow {
    border-top-color: #fff;
}

#fc2-modal .loaded {
    opacity: 0.6;
    pointer-events: none;
}

@media screen and (max-width: 991px) {
    #fc2-modal .fabrics .thumbs {
        height: unset;
    }
	.fc2 .btn-wrap {
    max-width: 100%;
	}

	#fc2-modal .product_info h2 {
	  font-size: 18px;
	}

	#fc2-modal .product_info .price {
    font-size: 18px;
	}

	#fc2-modal .fabric-thumb {
		flex: 0 0 25%;
		padding-right: 10px;
		padding-left: 10px;
		overflow: hidden;
		max-height: 120px;
	}

	#fc2-modal .option li {
    font-size: 13px;
    line-height: 1.3;
    margin-bottom: 8px;
	}

	#fc2-modal .categories a {
    padding: 6px 10px;
	}
}

@media screen and (max-width: 767px) {

	#fc2-modal .fabric-thumb {
		flex: 0 0 33%;
	}

}


@media screen and (max-width: 575px) {

	#fc2-modal .col-12 {
	  width: 100%;
	}

	#fc2-modal {
    height: auto;
	}

	#fc2-modal .h100 {
    height: auto;
	}

	#fc2-modal .fabric-thumb {
		flex: 0 0 25%;
		max-height: none;
	}

}

@media screen and (max-width: 480px) {

	#fc2-modal .fabric-thumb {
		flex: 0 0 33%;
	}

}

@media screen and (max-width: 420px) {

	#fc2-modal .fabric-thumb {
		flex: 0 0 50%;
	}

}
